#include <bits/stdc++.h>
using namespace std;

bool is(int a, int b, int c){
    bool k = false;
    if ((b > a && c < b) || (a > b && b < c)){
        k = true;
    }

    return k;
}

int main() {
    int n, r = 0;
    cin >> n;
    int arr[n];
    for(int i = 0; i < n; i++){
        cin >> arr[i];
    }
    for(int i = 0; i < n; i++){
        for(int i1 = 0; i1 < n; i1++){
            if(i == i1){
                break;
            }
            if(i < i1){
                for(int i2 = i+1; i2 < i1; i2++){
                    if(is(arr[i2 - 1], arr[i2], arr[i2+1])){
                        r++;
                    }
                }
            }else{
                for(int i2 = i1+1; i2 < i; i2++){
                    if(is(arr[i2 - 1], arr[i2], arr[i2+1])){
                        r++;
                    }
                }
            }
        }
    }
    cout << r + 2;

    return 0;
}
